##
## save.py
## Login : <glibersat@localhost.localdomain>
## Started on  Wed Jul 20 03:18:47 2005 Guillaume Libersat
## $Id$
## 
## Copyright (C) 2005 Guillaume Libersat
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import gtk

class ExportTab(gtk.FileChooserDialog):
    def __init__(self, tabinfo):
        gtk.FileChooserDialog.__init__(self, "Save tab as...")
        self.set_action(gtk.FILE_CHOOSER_ACTION_SAVE | gtk.FILE_CHOOSER_ACTION_CREATE_FOLDER)

        self.add_button(gtk.STOCK_CANCEL, 0)
        self.add_button(gtk.STOCK_SAVE, 1)

        artist, title, version, type, note, source, recordt, userstr = tabinfo
        self.set_current_name("%s - %s (%s).tab" % (artist, title, version))

    def export(self, tab, uri):
        fd = open(uri, "w")
        fd.write(tab)
        fd.close()
